###################################################################################################
#	Generation of Light Measurments for Machine Learning Applications [GLIMMA]
###################################################################################################
#	This is the GLIMMA front stop
#
#
#
#
#
#
###################################################################################################

#	standard packages
import os
import sys
import random
import time
import datetime
from subprocess import call

#	add root directory to sys.path
sys.path.append(os.path.join(os.environ['HOME'], 'codebase/git_dir/python/GLIMMA'))

###################################################################################################
#	initilisation
###################################################################################################

#	read_path
path = '/home/ldjb/codebase/data_archive/GLIMMA_data/input_dir/mmt_files/globalstar/synthetic_lightcurves'

#	generate filelist
filelist = os.listdir(path)

#	attitude
rot_vec_azm_deg = 70.0
rot_vec_inc_deg = 30.0

#	attitude motion
rot_period = 8.0

#	loop through files
for file in filelist:

	print('\nWorking on:	', file)

	if 'state' not in file:

		newfile = file[:-4]\
			+ '_state_{}'.format(str(int(rot_vec_azm_deg)))\
			+ '_{}'.format(str(int(rot_vec_inc_deg)))\
			+ '_{}'.format(str(int(rot_period)))\
			+ '.txt'
	
		#	rename file
		os.rename(os.path.join(path, file), os.path.join(path, newfile))
		print('\nRenamed to:	', newfile)
	else:
		print('\nAlready Renamed')
