
###################################################################################################
#	plot orbit
###################################################################################################

# fig, ax = plt.subplots(subplot_kw=dict(projection='3d'))
# 
# ax.plot(sat_gcrf[:, 1], sat_gcrf[:, 2], sat_gcrf[:, 3], color='r', label='GCRF')
# 
# ax.set_xlim([-1e4, 1e4])
# ax.set_ylim([-1e4, 1e4])
# ax.set_zlim([-1e4, 1e4])
# ax.set_aspect('equal')
# 
# ax.set_title('Orbital motion')
# ax.legend()

###################################################################################################
#	plotting orbital elements
###################################################################################################

#	generate date vectors
datevec_array = []

for line in sim_range:

	#	convert jd to date
	year, mon, day, hour, minute, sec = [*jd2date(*jday_jfrac(line))]

	#	turn into string
	datestr = '-'.join(['{:4d}'.format(year), '{:02d}'.format(mon), '{:02d}'.format(day)])
	timestr = ':'.join(['{:02d}'.format(hour), '{:02d}'.format(minute), '{:04.1f}'.format(sec)])
	datevec  = ' '.join([datestr, timestr])

	#	convert to datetime object
	date_time_obj = datetime.datetime.strptime(datevec, '%Y-%m-%d %H:%M:%S.%f')

	#	append  to output array
	datevec_array.append(date_time_obj)

#	tick mark locators
years = mdates.YearLocator()   # every year
months = mdates.MonthLocator()  # every month
days = mdates.DayLocator()  # every day
hours = mdates.HourLocator()  # every hour
minutes = mdates.MinuteLocator()  # every minute
seconds = mdates.SecondLocator()  # every second

###################################################################################################
#	SGP4 orbit plot

#if not norad_flag:
#
#	#	RAAN plot
#	fig, ((ax1, ax2), (ax3, ax4), (ax5, ax6)) = plt.subplots(3, 2, figsize=(15, 10))
#	
#	fig.suptitle('SGP4 Orbital Elements')
#	
#	ax1.set_title('Right Ascension of Acending Node')
#	ax1.plot(datevec_array, orbital_elements[:, 1], label='GCRF_new', color='r')
#	ax1.set_ylim([0, 2 * np.pi])
#	ax1.xaxis.set_major_locator(months)
#	ax1.xaxis.set_major_formatter(mdates.DateFormatter('%b'))
#	
#	ax2.set_title('Argument of Periapsis')
#	ax2.plot(datevec_array, orbital_elements[:, 2], label='GCRF_new', color='r')
#	ax2.set_ylim([0, 2 * np.pi])
#	ax2.xaxis.set_major_locator(months)
#	ax2.xaxis.set_major_formatter(mdates.DateFormatter('%b'))
#	
#	ax3.set_title('True Anomaly')
#	ax3.plot(datevec_array, orbital_elements[:, 3], label='GCRF_new', color='r')
#	#ax3.set_ylim([0, 2 * np.pi])
#	ax3.xaxis.set_major_locator(months)
#	ax3.xaxis.set_major_formatter(mdates.DateFormatter('%b'))
#	
#	ax4.set_title('Inclination')
#	ax4.plot(datevec_array, np.degrees(orbital_elements[:, 4]), label='GCRF_new', color='r')
#	ax4.set_ylim([0, np.degrees(np.pi / 2)])
#	ax4.xaxis.set_major_locator(months)
#	ax4.xaxis.set_major_formatter(mdates.DateFormatter('%b'))
#	
#	ax5.set_title('Eccentricity')
#	ax5.plot(datevec_array, orbital_elements[:, 5], label='GCRF_new', color='r')
#	ax5.set_ylim([0, 1])
#	ax5.xaxis.set_major_locator(months)
#	ax5.xaxis.set_major_formatter(mdates.DateFormatter('%b'))
#	
#	ax6.set_title('Semi-Major Axis')
#	ax6.plot(datevec_array, orbital_elements[:, 6], label='GCRF_new', color='r')
#	ax6.set_ylim([0, 10000])
#	ax6.xaxis.set_major_locator(months)
#	ax6.xaxis.set_major_formatter(mdates.DateFormatter('%b'))
#	
#	plt.legend()

