
from multiprocessing import Pool

import os
import sys
import numpy as np

from mmt_functions import parse_raw_files
from mmt_functions import gen_light_curves
from mmt_functions import gen_case_files

# file paths
cwd = os.getcwd()
path_raw = 'Data/source/MMT/GLOBALSTAR/raw'
path_datafile = 'Data/source/MMT/GLOBALSTAR/datafiles'
path_index = 'Data/source/MMT/GLOBALSTAR/index'
path_light_curves = 'Data/source/MMT/GLOBALSTAR/light_curves'
path_case_files = 'Data/source/MMT/GLOBALSTAR/case_files'

raw_dir = os.listdir(os.path.join(cwd, path_raw))
data_dir = os.listdir(os.path.join(cwd, path_datafile))
index_dir = os.listdir(os.path.join(cwd, path_index))
light_curve_dir = os.listdir(os.path.join(cwd, path_light_curves))

raw_file = 'mmt_id_47'

# DATA FILE GENERATION
dataname, indexname = parse_raw_files(raw_file, path_raw, path_index, path_datafile)

# LIGHT CURVE FILE GENERATION
gen_light_curves(dataname, path_datafile, path_light_curves)

#attit = [0.4449, 5.1212, 4.8249]
#attit_mot = [0.7406, 0.4420, 0.1683]
attit = [0.0000, 0.0000, 0.0000]
attit_mot = [0.2616, 0.0570, 0.6593]

# CASE FILE GENERATION
gen_case_files(indexname, path_index, path_case_files, attit, attit_mot)

