

import os
import sys
import numpy as np
import matplotlib.pyplot as plt

cwd = os.getcwd()

lightcurve_path = 'Data/Outputs/Light_curves/ss_light_curves/geometry_case/25885'
lightcurve_dir = os.listdir(os.path.join(cwd, lightcurve_path))

for lightcurve in lightcurve_dir:

	name_str = lightcurve.split('_', maxsplit=2)[1]
	
	
	case_data = np.genfromtxt(os.path.join(lightcurve_path, lightcurve), delimiter=',')

	plt.figure()
	plt.plot(case_data[:,1], case_data[:,2])
	plt.axis([0, case_data[-1, 1], max(case_data[:,2]) + 2, 0])
	plt.grid()
	plt.xlabel('time (julian date)')
	plt.ylabel('Mean Magnitude')
	plt.title('Lightcurve for ' + name_str)

plt.show()
