import os
import sys
import csv





from mpl_toolkits import mplot3d
import numpy as np
import matplotlib.pyplot as plt
import scipy
from stl import mesh

def rms_calc(predictions, targets):
	return np.sqrt(((predictions - targets)**2).mean())

def face_count(normals):
	print('Finding number of faces. . .\n')

	#	first vector in collection
	firstvec = normals[0]

	#	the other vectors
	othervecs = normals[1:]

	#	set known vector to first vector
	knownvec = firstvec

	nfaces = 1
	nknown = 1

	for vecnum, vector in enumerate(othervecs):
		currently_known = knownvec

		if nknown is 1:
			if np.array_equal(currently_known, vector) is False:

				# itterate
				nfaces += 1
				knownvec = np.vstack([knownvec, vector])
				nknown += 1
			
		elif nknown > 1:

			match_flag = 0

			for vec in currently_known:
				if np.array_equal(vec, vector) is True:
					match_flag = 1
			
			if match_flag is 0:		

				# itterate
				nfaces += 1
				knownvec = np.vstack([knownvec, vector])
				nknown += 1
	return nfaces

# ###################################################################################################
# #	Data Acquisition
# 
# #	set directories
# 
# #	input data
# cwd = os.getcwd()
# data_path = 'sensitivity_study/results'
# data_dir = os.listdir(os.path.join(cwd, data_path))
# 
# #	geometry files
# geom_path = 'Data/Inputs/Geometry/Sensitivity_study'
# geom_dir = os.listdir(geom_path)
# 
# #	Read Data Files
# geom_files = []
# for case in geom_dir:
# 	case_num, case_str, _ = case.split('_', maxsplit=2)
# 	geom_files.append([int(case_num), case_str, case])
# 
# geom_files = sorted(geom_files, key=lambda x: x[0])
# 
# 
# #	Case loop
# plot = 1
# fignum = 1
# faces = np.zeros([len(geom_files)])
# 
# for case_itt, geom_file in enumerate(geom_files):
# 
# 	print('Figure = ', fignum)
# 
# 	case_num, case_name, geom_file_name = geom_file
# 
# 	#	Load mesh
# 	my_mesh = mesh.Mesh.from_file(os.path.join(geom_path, geom_file_name))
# 	casenum, namestr, _ = geom_file_name.split('_')
# 
# 	nfaces = face_count(my_mesh.normals)
# 	faces[case_itt] = nfaces
# 	fignum += 1
# 
# print(faces)
# 
# for data_file in data_dir:
# 
# 	data = np.genfromtxt(os.path.join(data_path, data_file), delimiter=',')
# 
# 	_, casename, casenum = data_file.split('_')
# 
# 	casenum, _ = casenum.split('.')
# 
# 	if casename == 'attit':
# 		if casenum == 'case':
# 			casename = 'Attitude Profile 1'
# 		elif casenum == 'case2':
# 			casename = 'Attitude Profile 2'
# 	elif casename == 'geom':
# 		casename = 'Baseline Case'
# 
# 	plt.semilogy(faces, data, label=casename)
# #	plt.plot(nfaces, np.log(data), label=casename)
# 
# plt.xlabel('nfaces')
# plt.ylabel('Distance')
# plt.yscale('symlog')
# plt.legend()
# plt.grid(True)
# 
# plt.show()
