

import os
import sys

import math
import stl
from stl import mesh
from stl.base import RemoveDuplicates
import numpy as np

#	matplotlib
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D
from matplotlib.patches import FancyArrowPatch
from mpl_toolkits import mplot3d

##################################################
#	file paths
root_path = os.path.join(os.environ['HOME'], 'codebase')
archive_path = 'data_archive/GLIMMA_data'
path_data = os.path.join(root_path, archive_path)

#	output
geom_out_path = os.path.join(path_data, 'geometry_dir/geom_dir/SL-8')
geom_file_name = 'sl8.stl'



#	load test mesh
test_mesh = mesh.Mesh.from_file(os.path.join(geom_out_path, geom_file_name))

print(test_mesh.normals)
sys.exit()


#	find CoM
vol, com, inertia = test_mesh.get_mass_properties()

print(com)



# test_mesh.x -= com[0]
# test_mesh.y -= com[1]
# test_mesh.z -= com[2]


# Create a new plot
figure = plt.figure()
axes = mplot3d.Axes3D(figure)

axes.add_collection3d(mplot3d.art3d.Poly3DCollection(test_mesh.vectors))
plt.show()
