import pandas as pd
import numpy as np
import os
import sys

import matplotlib.pyplot as plt

from keras.preprocessing import sequence

import tensorflow as tf

from keras.models import Sequential
from keras.layers import Dense
from keras.layers import LSTM

from keras.optimizers import Adam
from keras.models import load_model
from keras.callbacks import ModelCheckpoint

cwd = os.getcwd()

df1 = pd.read_csv(cwd + '/data/dataset/MovementAAL_RSS_1.csv')
df2 = pd.read_csv(cwd + '/data/dataset/MovementAAL_RSS_2.csv')


path = 'data/dataset/MovementAAL_RSS_'

sequences = list()

nfiles = 315

print('Reading data files...')
for i in range(1, nfiles):
	file_path = path + str(i) + '.csv'
	df = pd.read_csv(file_path, header=0)
	values = df.values
	sequences.append(values)
print('Done.')

#	load targets
targets = pd.read_csv('data/dataset/MovementAAL_target.csv')
targets = targets.values[:,1]

#	load groups
groups = pd.read_csv('data/groups/MovementAAL_DatasetGroup.csv', header=0)
groups = groups.values[:,1]


len_sequences = []
for one_seq in sequences:
	len_sequences.append(len(one_seq))

#	Padding the sequence with the values in last row to max length
to_pad = 129
new_seq = []

for one_seq in sequences:
	len_one_seq = len(one_seq)
	last_val = one_seq[-1]
	n = to_pad - len_one_seq
	
	to_concat = np.repeat(one_seq[-1], n).reshape(4, n).transpose()
	new_one_seq = np.concatenate([one_seq, to_concat])
	new_seq.append(new_one_seq)
final_seq = np.stack(new_seq)

#	truncate the sequence to length 60
from keras.preprocessing import sequence
seq_len = 60
final_seq=sequence.pad_sequences(final_seq, maxlen=seq_len, padding='post', dtype='float', truncating='post')

#	separate the data into the three groups
train = [final_seq[i] for i in range(len(groups)) if (groups[i]==2)]
validation = [final_seq[i] for i in range(len(groups)) if groups[i]==1]
test = [final_seq[i] for i in range(len(groups)) if groups[i]==3]

train = np.array(train)
validation = np.array(validation)
test = np.array(test)

train_target = [targets[i] for i in range(len(groups)) if (groups[i]==2)]
validation_target = [targets[i] for i in range(len(groups)) if groups[i]==1]
test_target = [targets[i] for i in range(len(groups)) if groups[i]==3]

train_target = np.array(train_target)
validation_target = np.array(validation_target)
test_target = np.array(test_target)

#	change -1 to 0
train_target = (train_target + 1) / 2
validation_target = (validation_target + 1) / 2
test_target = (test_target+1)/2



