from mpi4py import MPI
import numpy as np

#	initialise MPI communicator
comm = MPI.COMM_WORLD
rank = comm.Get_rank()

#	initialise randNum memory
randNum = np.zeros(1)

diffNum = np.random.random_sample(1)

#	for processor 1
if rank == 1:

	#	generate a random number
	randNum = np.random.random_sample(1)
	print('Process ', rank, ' drew the number ', randNum[0])

	#	send as non-blocking communication with processor 0
	comm.Isend(randNum, dest=0)

	#	whilst sending to processor 0, preform:
	####
	#	generate different random number
	diffNum /= 3.14

	print('whilst comm is being sent, calculate diffNum as = ', diffNum[0])

	####

	#	receive a non-blocking communication from processor 0
	req = comm.Irecv(randNum, source=0)

	#	wait for response
	req.wait()

	#	print response
	print("Process", rank, "received the number", randNum[0])

if rank == 0:

	print('Process ', rank, ' before receiving has the number ', randNum[0])

	#	receive non-blocking communication from process 1
	req = comm.Irecv(randNum, source=1)

	#	wait for response
	req.wait()

	print('Process ', rank, ' received the number ', randNum[0])

	#	multiply number by 2 and return to process 1
	randNum *= 2

	comm.Isend(randNum, dest=1)
