import sys

def run_func(comm):

	from mpi4py import MPI

	#	ncores
	size = comm.Get_size()

	#	current cpu rank
	rank = comm.Get_rank()

	#	cpu name
	name = MPI.Get_processor_name()

	#	generate output message
	message = ("Hello World. I am processor %*d of %d on %s.\n"
			% (len(str(size - 1)), rank, size, name))

	comm.Barrier()

	if rank > 0:
		comm.Recv([None, 'B'], rank - 1)

	sys.stdout.write(message)

	if rank < size - 1:
		comm.Send([None, 'B'], rank + 1)

	comm.Barrier()

	return message





def main():

	from mpi4py import MPI
	
	comm = MPI.COMM_WORLD

	run_func(comm)






if __name__ == '__main__':

	main()
